<?php

namespace App\Controllers\Pages;

use App\Controllers\BaseController;

class AdminController extends BaseController
{

    public function __construct()
    {
        helper(['url', 'form', 'text']);
    }

    public function index()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('admin/index', ['roleConfig' => $config['admin']]);
    }

    public function users()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('admin/users', ['roleConfig' => $config['admin']]);
    }

    public function validationPage()
    {
        $config = require APPPATH . 'Views/shared/config.php';
        return view('admin/validate', ['roleConfig' => $config['admin']]);
    }

}
